#file piGraphics.py

import random
import math
import turtle

def showMontePi (amt_chalk) :
    wn = turtle.Screen()
    drawingT = turtle.Turtle()
    drawingT.speed(10)
    wn.setworldcoordinates(-2, -2, 2, 2)

    drawingT.up()
    drawingT.goto (-1, 0)
    drawingT.down()
    drawingT.goto(1, 0)

    drawingT.up()
    drawingT.goto (0, 1)
    drawingT.down()
    drawingT.goto(0, -1)

    inCircle = 0
    drawingT.up()

    for i in range (amt_chalk):
        x = random.random()
        y = random.random()

        drawingT.goto(x, y)

        if x*x + y*y <= 1:
            inCircle += 1
            drawingT.color("blue")
        else:
            drawingT.color("red")

        drawingT.dot()

    pi = inCircle / amt_chalk * 4
    wn.exitonclick()

    return pi

def main():
    n = int(input("How many pieces of chalk to throw? "))
    print("PI is approximately =", showMontePi(n))

main()