import pandas
from sklearn import linear_model

df = pandas.read_csv("CO2.csv")

X = df[['EngineSize', 'Cylinders']]
y = df['CO2']

regr = linear_model.LinearRegression()
regr.fit(X, y)

#predict the CO2 emission of a hypothetical auto
predictedCO2 = regr.predict([[2, 4]])

print(predictedCO2)

# print(X)